Fix compilation warnings

Author: Hai Zaar <haizaar@haizaar.com>

--- a/snooze.c
+++ b/snooze.c
@@ -42,7 +42,7 @@
  * sleep time, if other pwauth processes are in sleeps.
  */
 
-snooze(int seconds)
+void snooze(int seconds)
 {
     int slfd;
     struct flock lock;
